[gelöst] Okular druckt pdf fehlerhaft

Hinweis: In dem Thema [gelöst] Okular druckt pdf fehlerhaft gibt es 8 Antworten. Der letzte Beitrag () befindet sich ganz unten auf dieser Seite.
  • Hallo liebe openSUSE-Community,


    ich arbeite mit openSUSE 11.2 (KDE 4.3.5) und nutze Okular (0.9.5) als PDF-Programm.
    Die Anzeige von pdf-Dokumente funktioniert einwandfrei und auch einfaches Drucken funktioniert, wenn ich die Einstellung des Druckerfensters nicht ändere. Sobald ich dort Änderungen vornehme, tut Okular genau das Gegenteil von dem was ich vorher in der Fensterauswahl angeklickt habe: z.B. wollte ich das Dokument in Graustufen drucken, im Ausdruck ist es dann farbig. Wenn ich zwei pdf-Seiten auf ein A4 Blatt drucken will, wird nur eine Seite ausgedruckt usw. [Blockierte Grafik: http://www.linux-club.de/images/smilies/icon_confused.gif
    Da unter OpenOffice und Firefox das Drucken problemlos funktioniert (mein Drucker: Canon Pixma ip4200x), vermute ich, dass es an Okular liegt!


    Ich habe dies bzgl. auch schon zwei ähnliche Beiträge gefunden:
    http://www.linux-club.de/viewt…it=okular+drucken#p581334
    http://www.pc-forum24.de/suse-…t-okular-pdf-drucken.html


    Wollte aber trotzdem mal nachfragen, ob das Problem unter OpenSuse 11.2 irgendwie gelöst wurde, ohne ein anderes pdf-Programme (Adobe, xpdf etc.) zu verwenden? Oder mit einem Update von Okular??
    Denn das Ausdrucken ist ja wohl das zweit Wichtigste - nach dem Betrachten - , was ein pdf-Programm leisten sollte...!


    Würde mich über Ideen, Tipps und Erklärungen freuen! :)
    Danke im Vorraus!


    Grüße
    mosusinho

    3 Mal editiert, zuletzt von mosusinho ()

    Für den Inhalt des Beitrages 19621 haftet ausdrücklich der jeweilige Autor: mosusinho

  • Hallo mosusinho


    Es scheint ein wenig verbugt zu sein. Ich glaube, es ist auch mit jedem Drucker unterschiedlich. Die Farbeinstellung funktioniert bei mir auch nicht, jedoch kann ich mit meinem HP die Farbe in hplip einstellen. Die zwei-Seiten-Einstellung geht jedoch problemlos.

    Für den Inhalt des Beitrages 19665 haftet ausdrücklich der jeweilige Autor: rogi

  • Hi "rogi",
    danke für deine Antwort!!


    Nach weiterer Suche und posts in Foren... --> Scheinbar gibt es noch keine zufriedenstellende Lösung dieses Problems... ?(
    Daher habe ich mir jetzt den "Foxit Reader" als Standard-PDF-Viewer eingerichtet.
    Dieser arbeitet flink und bisher auch stabil. Er unterstützt zwar nicht so viele Einstellungsmöglichkeiten wie Okular, aber dafür druckt dieser korrekt/wie vorher eingegeben aus! :)


    Hoffe sehr, dass die Probleme um Okular in einem neuen Release von KDE oder openSUSE - wie auch immer - bald gelöst werden!!! ;)


    Grüße
    motuxer

    Für den Inhalt des Beitrages 19666 haftet ausdrücklich der jeweilige Autor: mosusinho

  • HI motuxer,


    wie in einem anderen Thread beschrieben funktioniert bei mir Okular einwandfrei.


    Vielleicht hilft bei Dir, den versteckten Okular-Ordner mal umzubenennen oder zu löschen.


    Dieser befindet sich in /home/benutzer/.kde4/share/apps/


    Wenn Du nicht auf KDE 4.4.3 upgraden möchtest, bleibt noch die Möglichkeit in Suse Softwaresearch nach einem Okular zu suchen welches nicht gleich den ganzen KDE-Desktop upgraden will und aus einem Home-Repo eines Suse Nutzers stammt der die neuste Version auf Dein kde 4.3.5 angepasst hat.


    lg Robbie

    Für den Inhalt des Beitrages 19667 haftet ausdrücklich der jeweilige Autor: robbie

  • Hi,
    @ robbie:
    Danke für deine Antwort!

    Zitat

    Vielleicht hilft bei Dir, den versteckten Okular-Ordner mal umzubenennen oder zu löschen.
    Dieser befindet sich in /home/benutzer/.kde4/share/apps/

    Habe den o.a. Ordner umbenannt, leider hilft das auch nicht... :(


    Kannst du denn ein Upgrade auf KDE 4.4.3 empfehlen?? Oder geht das dann eher auf ein unstabiles System hin zu??
    Denn viel "Bastelei" ist mir nicht sooo gelegen?? :wacko:


    Grüße motuxer

    Für den Inhalt des Beitrages 19696 haftet ausdrücklich der jeweilige Autor: mosusinho

  • Kannst du denn ein Upgrade auf KDE 4.4.3 empfehlen?? Oder geht das dann eher auf ein unstabiles System hin zu??
    Denn viel "Bastelei" ist mir nicht sooo gelegen??



    Das kann ich Dir ganz sicher empfehlen; diese Version ist seit Februar die stabile KDE-Version und diese hält nächsten Monat auch Einzug in Suse 11.3


    Ich selbst verwende sie schon seit November letztens Jahres völlig problemlos und da war sie wirklich nocht Beta, bei mir aber lief sie reibungslos.




    Die Repos wären:


    KDE 4.4.3 Desktop


    KDE 4.4.3 Community


    KDE 4.4.3 Playground bei Bedarf


    Alte evtl. vorhandenen KDE4 Repos in der Repo Verwaltung deaktivieren oder löschen


    Die Priorität der neu hinzugefügten auf 50 setzen


    Im Softwaremodul von Yast unter Installationsquellen links KDE 4.4.3 Desktop als erstes markieren und rechts oben auf den blauen Hyperlink: Switch Packages to this Repo... klicken.


    Das erste Fehlermeldungsfenster (Abhängigkeiten) wegklicken und das eben beschriebene mit dem KDE 4.4.3 Community Repo machen.


    Nach Installation Rechnerneustart und Software nochmal öffnen und die Packman Pakete mit der gleichen Switch Methode wieder auf Packman setzen; dies aber nur falls vorher drei oder vier Pakete zuvor aus den neuem KDE-Repos stammen.


    Bei Problemen nochmal melden


    sonnige Grüße Robbie

    Für den Inhalt des Beitrages 19698 haftet ausdrücklich der jeweilige Autor: robbie

  • Hi again,
    @ robbie
    Vielen Dank für deine Antwort und vor allem für deine ausführliche Beschreibung!! :thumbsup:


    Da mit dem "Foxit Reader" der Ausdruck von pdf-Dateien - ersatzweise - funktioniert und ich ansonsten sehr mit openSUSE zufrienden bin, werde ich wohl bis zum Final Release von Version 11.3 warten und dann komplett neu installieren. Hoffe dann, dass Okular in der neuen Version richtig sauber arbeitet! ;)


    Beste Grüße
    mosusinho

    Für den Inhalt des Beitrages 19792 haftet ausdrücklich der jeweilige Autor: mosusinho

  • Hallo,


    schau Dir doch mal das kleine Tool "pdfmod" an.


    Oder aber auch "pdftk-qgui"


    lg Robbie

    Für den Inhalt des Beitrages 19796 haftet ausdrücklich der jeweilige Autor: robbie

  • Hi,
    @ robbie:
    Danke für deinen Hiweise für die beiden pdf-Programme!


    Inzwischen habe ich das Problem allerdings gelöst: :)
    Nachdem ich herausgefunden habe, dass es im Druckerfenster von Okular unter dem Reiter "Erweitert" noch einen Druckdialog gibt, wo man noch mehrere Einstellungen vornehmen kann. Dort habe ich dann alles so eingestellt, wie für den Drcuk benötigt (z.B. A4, Graustufen, Resulution...) und jetzt klappt alles. Auch das Ausdrucken von 2 Seiten auf einer A4-Seite.
    Nochmals an alle DANKE für eure Hilfe! :thumbup:


    Grüße und ein sonniges Woende!!! 8)
    mosusinho

    Für den Inhalt des Beitrages 19881 haftet ausdrücklich der jeweilige Autor: mosusinho